Page MenuHomePhabricator

Verify that PDFs generated by Proton service are correct
Closed, ResolvedPublic

Description

Please verify that the PDFs generated by new Proton services are visually correct.

Acceptance criteria

  • Uses correct fonts, there are no issues with fonts kerning/hinting
  • Additional print elements (like headers) are present
  • desktop print styles are applied to desktop prints
  • mobile print styles are applied to mobile prints

Developer notes

Currently, it is not possible to test the mobile prints using production servers. The best way to test the service is to test via Beta Cluster.
For easier testing you can use https://polishdeveloper.pl/wmf/proton/

Event Timeline

pmiazga created this task.Nov 29 2018, 9:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2018, 9:48 PM

Temporarily assigned to me, I need to verify that both the testing tool is up to date (can handle production service) and the Beta Cluster has the latest proton service.

ovasileva triaged this task as High priority.Nov 29 2018, 10:28 PM
pmiazga removed pmiazga as the assignee of this task.Nov 30 2018, 7:54 PM

Ready to test

alexhollender added a comment.EditedDec 10 2018, 11:05 PM

I tested the following pages via https://polishdeveloper.pl/wmf/proton/, and found no major issues:

Coffee - en - desktop
Diego Velázquez - es - mobile
Disc golf - en - mobile
Malcolm X - en - mobile
Rapa Nui National Park - en - desktop
Salvador Dalí - es - mobile
Szpital - pl - desktop
Taiwan - es - mobile
Taiwan - en - mobile
Vincent van Gogh - en - mobile
Water - en - desktop
גלקסיה - he - mobile
استیک - fa - desktop

Minor issues:

Disc golf - en - mobile
overlapping footnote indicators
Taiwan - es - mobile
infobox is left-aligned (should be centered)

just FYI - those tests were executed on the staging server (chromium-pdf.wmflabs.org), which is configured the same as production. We had to proceed this way because the production doesn't return PDFs from new service. The production instance can return PDFs when we provide ?new_pdf=true but we cannot modify PDF render settings (size/mode). And the beta cluster PDF prints articles only from Beta cluster.

pmiazga added a subscriber: mobrovac.EditedDec 17 2018, 3:11 PM

@mobrovac something is wrong with production & beta cluster setup:
Production: https://en.wikipedia.org/api/rest_v1/page/pdf/Book?new_pdf=true
Beta: http://proton-beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/v1/pdf/Book/a4/desktop
Staging: http://chromium-pdf.wmflabs.org/en.wikipedia.org/v1/pdf/Book/a4/desktop

The PDF generated locally:

At first sight, looks like Production and Beta outputs are missing print styles. I remember having the similar issue some time ago, and it was related to requesting HTTP file but the content (styles) were served by https.
Electron output is also correct.

Change 480113 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/chromium-render/deploy@master] Config: Add printable=yes to the query of the page request

https://gerrit.wikimedia.org/r/480113

Change 480113 merged by Mobrovac:
[mediawiki/services/chromium-render/deploy@master] Config: Add printable=yes to the query of the page request

https://gerrit.wikimedia.org/r/480113

Change 480122 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/chromium-render/deploy@master] TEMP: Config: use extdomain instead of mwapi_host

https://gerrit.wikimedia.org/r/480122

Change 480122 merged by Mobrovac:
[mediawiki/services/chromium-render/deploy@master] TEMP: Config: use extdomain instead of mwapi_host

https://gerrit.wikimedia.org/r/480122

Change 480133 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/chromium-render/deploy@master] Config: Use extdomain and add printable=yes to the req query

https://gerrit.wikimedia.org/r/480133

Change 480133 merged by Mobrovac:
[mediawiki/services/chromium-render/deploy@master] Config: Use extdomain and add printable=yes to the req query

https://gerrit.wikimedia.org/r/480133

Mentioned in SAL (#wikimedia-operations) [2018-12-17T18:32:31Z] <mobrovac@deploy1001> Started deploy [proton/deploy@ff7c8a2]: Config: Use extdomain and add printable=yes to the req query - T210793

Mentioned in SAL (#wikimedia-operations) [2018-12-17T18:34:03Z] <mobrovac@deploy1001> Finished deploy [proton/deploy@ff7c8a2]: Config: Use extdomain and add printable=yes to the req query - T210793 (duration: 01m 32s)

ovasileva closed this task as Resolved.Jan 3 2019, 9:38 PM

All done. No major issues found.